@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro');

body {
	margin: 0;
	padding: 0;
}

@font-face {
  font-family: "Aino";
  src: url('aino.ttf');
}

.container {
	width: 100vw;
	height: 100vh;
	box-sizing: border-box;
	background-color: #222222;
	margin: 0;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}

.canvas-wrapper {
	width: 50%;
	height: 100%;
	justify-content: center;
	display: flex;
	align-items: center;
	box-sizing: border-box;
	flex-direction: column;
	padding: 8%;
}

.title-wrapper {
	width: 50%;
	display: flex;
	padding: 8%;
	padding-right: none;
	text-align: right;
	flex-direction: column;
	align-items: flex-end;
	justify-content: center;
	box-sizing: border-box;
	height: 100%;
}

.center-wrapper {
	text-align: center;
	height: 100%;
}

.black-bg {
	background-color: black;
}

.main-title {
	font-family: "Source Sans Pro";
	font-family: "Aino", "Source Sans Pro";
	font-size: 2vw;
	color: #EEEEEE;
	font-weight: 400;
}

.main-logo {
	width: 120px;
}

.main-results {
	width:  50%;
	margin: auto;
}

.main-helper {
	font-size: 1.5vw;
	font-family: "Source Sans Pro";
	color: white;
	font-weight: 50;
}

.main-average {
	font-size: 2vw;
	font-family: "Source Sans Pro";
	color: white;
	font-weight: 100;
	margin-top: 0px;
	margin: 0;
	padding: 0;
}

.showInputValue {
	text-align: center;
	font-size: 4vmin;
	color: white;
	font-family: "Source Sans Pro";
	font-weight: 100;
	margin: auto;
}

.main-wrong, .main-right {
	font-size: 2vw;
	font-family: "Source Sans Pro";
	font-weight: 100;
	margin-top: 0px;
	margin: 0;

}

.main-wrong {
	padding-top: 2em;
	color: #EF5247;
}

.main-right {
	color: #15EB15;
}

.main-canvas {
	width: 80%;
	height: 80%;
	background-color: #ccc;
}

.main-submit, .main-next {
	background-color: #1515EB;
	border: none;
	border-radius: 2px;
	padding: 10px 32px;
	font-family: "Source Sans Pro";
	color: white;
	font-size: 18px;
	margin-top: 15px;
	font-size: 3vmin;
}

.main-slider {
	margin-top: 0px;
	width: 80%;
}

canvas::-moz-focus-inner {
  border: 0;
}
canvas:focus {
    outline: none;
}

input[type=range] {
  -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
  width: 100%; /* Specific width is required for Firefox. */
  background: transparent; /* Otherwise white in Chrome */
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
}

input[type=range]:focus {
  outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

input[type=range]::-ms-track {
  width: 100%;
  cursor: pointer;

  /* Hides the slider so custom styles can be added */
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: 1px solid #DDDDDD;
  height: 18px;
  width: 18px;
  border-radius: 100%;
  background: #ffffff;
  cursor: pointer;
  margin-top: -14px; /* You need to specify a margin in Chrome, but in Firefox and IE it is automatic */
  /*box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;*/ /* Add cool effects to your sliders! */
}

/* All the same stuff for Firefox */
input[type=range]::-moz-range-thumb {
  /*box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;*/
  border: 1px solid #DDDDDD;
  height: 18px;
  width: 18px;
  border-radius: 100%;
  background: #ffffff;
  cursor: pointer;
}

/* All the same stuff for IE */
input[type=range]::-ms-thumb {
  /*box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;*/
  border: 1px solid #DDDDDD;
  height: 18px;
  width: 18px;
  border-radius: 100%;
  background: #ffffff;
  cursor: pointer;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 6px;
  cursor: pointer;
  /*box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;*/
  background: #3071a9;
	background: #aaaaaa;
	margin-top: 20px;
  border-radius: 1.3px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  background: #367ebd;
	background: #aaaaaa;
}

input[type=range]::-moz-range-track {
  width: 100%;
  cursor: pointer;
  height: 6px;
  background: #3071a9;
	margin-top: 20px;
	background: #aaaaaa;
  border-radius: 1.3px;
}

input[type=range]::-ms-track {
  width: 100%;
  height: 6px;
  cursor: pointer;
	margin-top: 20px;
  background: transparent;
  border-color: transparent;
  border-width: 16px 0;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #2a6495;
	background: #aaaaaa;
  border-radius: 2.6px;
}
input[type=range]:focus::-ms-fill-lower {
  background: #3071a9;
	background: #aaaaaa;
}
input[type=range]::-ms-fill-upper {
  background: #3071a9;
	background: #aaaaaa;
  border-radius: 2.6px;
}
input[type=range]:focus::-ms-fill-upper {
  background: #367ebd;
	background: #aaaaaa;
}
@media (max-width: 750px) {
	.container {
		height: 100%;
		flex-direction: column;
		justify-content: flex-start;
	}
	.canvas-wrapper {
		width: 100%;
		height: 100%;
		box-sizing: border-box;
		padding: 20px;
		padding-top: none;
	}

	.main-canvas {
		width: 100%;
	}

	.title-wrapper {
		width: 100%;
		height: 90%;
		padding: 10px;
		text-align: center;
		padding-bottom: 0;
		margin: 0;
		align-items: center;
	}

	.main-title {
		font-size: 5.9vw;
	}

	.main-right, .main-wrong, .main-average {
		font-size: 2vw;
		margin: 5px;
	}

	.main-helper {
		font-size: 3.5vw;
		margin-top: 10px;
	}

	.main-logo {
		display: none;
	}

	.main-slider {
		order: -1;
	}
}
